diff --git a/NEWS b/NEWS
--- a/NEWS
+++ b/NEWS
@@ -1,3 +1,7 @@
+* 0.6.4 (2012-09-25)
+- add cabal-rpm-diff
+- fix manpage generation
+
 * 0.6.3 (2012-09-24)
 - support tarball path argument
 - use a temporary working dir for opening tarball or cabal unpack
diff --git a/cabal-rpm-diff b/cabal-rpm-diff
new file mode 100644
--- /dev/null
+++ b/cabal-rpm-diff
@@ -0,0 +1,60 @@
+#!/bin/sh
+
+# Copyright (C) 2008-2010 Red Hat, Inc
+# Written by Jens Petersen <petersen@redhat.com>, 2008.
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+set -e
+
+# use -l to force lib package
+if getopts l opt; then
+  shift
+  case $opt in
+      l) FORCE_LIB=--name=ghc-PKG
+	  ;;
+  esac
+fi
+
+if [ $# -ne 1 -o ! -r "$1" ]; then
+    echo "Usage: $(basename $0) [-l] [hackage|hackage.tar.gz|hackage.cabal]"
+    echo "  -l      assume BinLib package is Lib"
+    exit 1
+fi
+
+FILE=$1
+
+WORKDIR=$(mktemp --tmpdir=. -d)
+
+cd $WORKDIR
+
+if ! cabal-rpm ../$FILE; then
+    cd ..
+    rm -r $WORKDIR
+    exit 1
+fi
+
+SPECFILE=$(ls *.spec)
+
+cd -
+
+if [ ! -r "$SPECFILE" ]; then
+  echo No $SPECFILE file found for $FILE
+  rm -r $WORKDIR
+  exit 1
+fi
+
+diff -uw $WORKDIR/$SPECFILE $SPECFILE | sed -e "s%$WORKDIR/$SPECFILE%$SPECFILE.cabal-rpm%"
+
+[ -d "$WORKDIR" ] && rm -r $WORKDIR
diff --git a/cabal-rpm.cabal b/cabal-rpm.cabal
--- a/cabal-rpm.cabal
+++ b/cabal-rpm.cabal
@@ -1,11 +1,13 @@
 Name:                cabal-rpm
-Version:             0.6.3
+Version:             0.6.4
 Synopsis:            RPM package creator for Haskell Cabal-based packages
 Description:
     This package generates RPM spec files from Haskell Cabal packages.
     .
     Recent changes:
     .
+    * 0.6.4: add manpage and cabal-rpm-diff wrapper
+    .
     * 0.6.3: accept tarball arg, use temporary working directory, and add manpage
     .
     * 0.6.2: fix L/GPL version output
@@ -23,7 +25,7 @@
                      2012 Jens Petersen <petersen@fedoraproject.org>
 Category:            Distribution
 Build-type:          Simple
-Extra-source-files:  README.md NEWS man/cabal-rpm.1.md man/cabal-rpm.1
+Extra-source-files:  README.md NEWS man/cabal-rpm.1.md man/cabal-rpm.1 cabal-rpm-diff
 Cabal-version:       >=1.6
 
 source-repository head
diff --git a/man/cabal-rpm.1 b/man/cabal-rpm.1
--- a/man/cabal-rpm.1
+++ b/man/cabal-rpm.1
@@ -1,3 +1,4 @@
+.TH CABAL-RPM 1 "2012-09-24" 
 .SH NAME
 .PP
 cabal-rpm - generates RPM .spec files from Cabal packages
@@ -93,3 +94,5 @@
 .SH SEE ALSO
 .PP
 <http://github.com/juhp/cabal-rpm/>
+.SH AUTHORS
+This manpage was written by Jens Petersen.
diff --git a/man/cabal-rpm.1.md b/man/cabal-rpm.1.md
--- a/man/cabal-rpm.1.md
+++ b/man/cabal-rpm.1.md
@@ -1,5 +1,5 @@
 % CABAL-RPM(1)
-% Jens Petersen
+% This manpage was written by Jens Petersen
 % 2012-09-24
 
 # NAME
